<?php

namespace Litepie\Location\Repositories\Eloquent;

use Litepie\Location\Interfaces\CountryRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litepie\Location\Repositories\Eloquent\Presenters\CountryItemPresenter;


class CountryRepository extends BaseRepository implements CountryRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litepie.location.country.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.location.country.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return CountryItemPresenter::class;
    }
}
